For the complete documentation index, see llms.txt. This page is also available as Markdown.

Enable or disable an OAuth2/OpenID client application

post
Authorizations
defguard_sessionstringRequired
Path parameters
client_idstringRequired

ID of the OAuth2 client.

Body
enabledbooleanRequired
Responses
200

OAuth2 client state changed.

No content

post/api/v1/oauth/{client_id}
POST /api/v1/oauth/{client_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "enabled": true
}

No content

Last updated

Was this helpful?